//
//  View.swift
//  Button
//
//  Created by Mark Meretzky on 7/19/16.
//  Copyright © 2016 Mark Meretzky. All rights reserved.
//

import UIKit;

class View: UIView {

	//Called from the loadView method of the ViewController.
	
	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder)!;
		backgroundColor = UIColor.whiteColor();
		
		let button: UIButton = UIButton(type: UIButtonType.System);
		button.bounds.size = CGSizeMake(200, 40);
		
		//Put the button at the center of this View.
		button.center = center;
		
		//Keep the button at the center of this View,
		//even if the size of this View changes.
		
		button.autoresizingMask = [
			UIViewAutoresizing.FlexibleLeftMargin,
			UIViewAutoresizing.FlexibleRightMargin,
			UIViewAutoresizing.FlexibleTopMargin,
			UIViewAutoresizing.FlexibleBottomMargin
		];
		
		button.backgroundColor = UIColor.whiteColor();
		button.layer.borderWidth = 1/3;	//1/3 point = 1 pixel
		button.layer.borderColor = UIColor.redColor().CGColor;
		button.setTitleColor(UIColor.redColor(), forState: UIControlState.Normal);
		button.setTitle("Chinese sound effect", forState: UIControlState.Normal);
		
		let application: UIApplication = UIApplication.sharedApplication();
		let appDelegate: AppDelegate = application.delegate as! AppDelegate;
		let window: UIWindow = appDelegate.window!;
		let viewController: ViewController = window.rootViewController as! ViewController;
		
		button.addTarget(viewController,
			action: #selector(ViewController.touchUpInside(_:)),
			forControlEvents: UIControlEvents.TouchUpInside);
		
		addSubview(button);
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
