//
//  ViewController.swift
//  Button
//
//  Created by Mark Meretzky on 7/19/16.
//  Copyright © 2016 Mark Meretzky. All rights reserved.
//

import UIKit;
import AudioToolbox;	//needed for SystemSoundID

class ViewController: UIViewController {
	var sid: SystemSoundID = 0;
	
	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder)!;
		
		//Find the full pathname of the sound file chinese.wav.
		let bundle: NSBundle = NSBundle.mainBundle();
		let path: String? = bundle.pathForResource("chinese", ofType: "mp3");
		if path == nil {
			print("could not find file chinese.mp3");
			return;
		}
		print("path = \(path!)\n");
		
		//Create a URL that refers to the sound file.
		let url: NSURL? = NSURL(fileURLWithPath: path!, isDirectory: false);
		if url == nil {
			print("could not create url");
			return;
		}
		print("url = \(url!)\n");
		
		//Open the sound file.
		let status: OSStatus = AudioServicesCreateSystemSoundID(url!, &sid);
		if status != kAudioServicesNoError {
			print("could not create system sound ID, status = \(status)");
			return;
		}
		print("sid = \(sid)\n");
	}

	override func viewDidLoad() {
		super.viewDidLoad();
		// Do any additional setup after loading the view, typically from a nib.
	}
	
	func touchUpInside(button: UIButton) {
		var title: String? = button.titleForState(UIControlState.Normal);
		if title == nil {
			title = "untitled";
		}
		print("touchUpInside(_:) title = \(title!)");
		//AudioServicesPlaySystemSound(kSystemSoundID_Vibrate); //only a phone can vibrate
		if sid != 0 {
			AudioServicesPlaySystemSound(sid);
		}
	}

	override func didReceiveMemoryWarning() {
		super.didReceiveMemoryWarning();
		// Dispose of any resources that can be recreated.
	}


}

